Package io.dapr.v1

# Class DaprGrpc.DaprBlockingStub

java.lang.Object
io.grpc.stub.AbstractStub<S>
io.grpc.stub.AbstractBlockingStub<DaprGrpc.DaprBlockingStub>
io.dapr.v1.DaprGrpc.DaprBlockingStub

Enclosing class:
  DaprGrpc

public static final class DaprGrpc.DaprBlockingStub extends io.grpc.stub.AbstractBlockingStub<DaprGrpc.DaprBlockingStub>
A stub to allow clients to do limited synchronous rpc calls to service Dapr.

     Dapr service provides APIs to user application to access Dapr building blocks.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

  `io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected DaprGrpc.DaprBlockingStub`
  `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
  `DaprPubsubProtos.BulkPublishResponse`
  `bulkPublishEvent(DaprPubsubProtos.BulkPublishRequest request)`
  Bulk Publishes multiple events to the specified topic.
  `DaprPubsubProtos.BulkPublishResponse`
  `bulkPublishEventAlpha1(DaprPubsubProtos.BulkPublishRequest request)`
  Deprecated.
  `DaprAiProtos.ConversationResponse`
  `converseAlpha1(DaprAiProtos.ConversationRequest request)`
  Converse with a LLM service
  `DaprAiProtos.ConversationResponseAlpha2`
  `converseAlpha2(DaprAiProtos.ConversationRequestAlpha2 request)`
  Converse with a LLM service via alpha2 api
  `com.google.protobuf.Empty`
  `deleteBulkState(DaprStateProtos.DeleteBulkStateRequest request)`
  Deletes a bulk of state items for a list of keys
  `DaprJobsProtos.DeleteJobResponse`
  `deleteJob(DaprJobsProtos.DeleteJobRequest request)`
  Delete a job
  `DaprJobsProtos.DeleteJobResponse`
  `deleteJobAlpha1(DaprJobsProtos.DeleteJobRequest request)`
  Deprecated.
  `DaprJobsProtos.DeleteJobsByPrefixResponse`
  `deleteJobsByPrefix(DaprJobsProtos.DeleteJobsByPrefixRequest request)`
  Delete jobs by name prefix
  `DaprJobsProtos.DeleteJobsByPrefixResponseAlpha1`
  `deleteJobsByPrefixAlpha1(DaprJobsProtos.DeleteJobsByPrefixRequestAlpha1 request)`
  Deprecated.
  `com.google.protobuf.Empty`
  `deleteState(DaprStateProtos.DeleteStateRequest request)`
  Deletes the state for a specific key.
  `com.google.protobuf.Empty`
  `executeActorStateTransaction(DaprActorsProtos.ExecuteActorStateTransactionRequest request)`
  Executes state transactions for a specified actor
  `com.google.protobuf.Empty`
  `executeStateTransaction(DaprStateProtos.ExecuteStateTransactionRequest request)`
  Executes transactions for a specified store
  `DaprActorsProtos.GetActorReminderResponse`
  `getActorReminder(DaprActorsProtos.GetActorReminderRequest request)`
  Gets an actor reminder.
  `DaprActorsProtos.GetActorStateResponse`
  `getActorState(DaprActorsProtos.GetActorStateRequest request)`
  Gets the state for a specific actor.
  `DaprSecretProtos.GetBulkSecretResponse`
  `getBulkSecret(DaprSecretProtos.GetBulkSecretRequest request)`
  Gets a bulk of secrets
  `DaprStateProtos.GetBulkStateResponse`
  `getBulkState(DaprStateProtos.GetBulkStateRequest request)`
  Gets a bulk of state items for a list of keys
  `DaprConfigurationProtos.GetConfigurationResponse`
  `getConfiguration(DaprConfigurationProtos.GetConfigurationRequest request)`
  GetConfiguration gets configuration from configuration store.
  `DaprConfigurationProtos.GetConfigurationResponse`
  `getConfigurationAlpha1(DaprConfigurationProtos.GetConfigurationRequest request)`
  GetConfiguration gets configuration from configuration store.
  `DaprJobsProtos.GetJobResponse`
  `getJob(DaprJobsProtos.GetJobRequest request)`
  Gets a scheduled job
  `DaprJobsProtos.GetJobResponse`
  `getJobAlpha1(DaprJobsProtos.GetJobRequest request)`
  Deprecated.
  `DaprMetadataProtos.GetMetadataResponse`
  `getMetadata(DaprMetadataProtos.GetMetadataRequest request)`
  Gets metadata of the sidecar
  `DaprSecretProtos.GetSecretResponse`
  `getSecret(DaprSecretProtos.GetSecretRequest request)`
  Gets secrets from secret stores.
  `DaprStateProtos.GetStateResponse`
  `getState(DaprStateProtos.GetStateRequest request)`
  Gets the state for a specific key.
  `DaprWorkflowProtos.GetWorkflowResponse`
  `getWorkflowAlpha1(DaprWorkflowProtos.GetWorkflowRequest request)`
  Deprecated.
  `DaprWorkflowProtos.GetWorkflowResponse`
  `getWorkflowBeta1(DaprWorkflowProtos.GetWorkflowRequest request)`
  Gets details about a started workflow instance
  `DaprActorsProtos.InvokeActorResponse`
  `invokeActor(DaprActorsProtos.InvokeActorRequest request)`
  InvokeActor calls a method on an actor.
  `DaprBindingsProtos.InvokeBindingResponse`
  `invokeBinding(DaprBindingsProtos.InvokeBindingRequest request)`
  Invokes binding data to specific output bindings
  `CommonProtos.InvokeResponse`
  `invokeService(DaprInvokeProtos.InvokeServiceRequest request)`
  Invokes a method on a remote Dapr app.
  `DaprActorsProtos.ListActorRemindersResponse`
  `listActorReminders(DaprActorsProtos.ListActorRemindersRequest request)`
  `DaprJobsProtos.ListJobsResponse`
  `listJobs(DaprJobsProtos.ListJobsRequest request)`
  List all jobs
  `DaprJobsProtos.ListJobsResponseAlpha1`
  `listJobsAlpha1(DaprJobsProtos.ListJobsRequestAlpha1 request)`
  Deprecated.
  `com.google.protobuf.Empty`
  `pauseWorkflowAlpha1(DaprWorkflowProtos.PauseWorkflowRequest request)`
  Deprecated.
  `com.google.protobuf.Empty`
  `pauseWorkflowBeta1(DaprWorkflowProtos.PauseWorkflowRequest request)`
  Pauses a running workflow instance
  `com.google.protobuf.Empty`
  `publishEvent(DaprPubsubProtos.PublishEventRequest request)`
  Publishes events to the specific topic.
  `com.google.protobuf.Empty`
  `purgeWorkflowAlpha1(DaprWorkflowProtos.PurgeWorkflowRequest request)`
  Deprecated.
  `com.google.protobuf.Empty`
  `purgeWorkflowBeta1(DaprWorkflowProtos.PurgeWorkflowRequest request)`
  Purge Workflow
  `DaprStateProtos.QueryStateResponse`
  `queryStateAlpha1(DaprStateProtos.QueryStateRequest request)`
  Queries the state.
  `com.google.protobuf.Empty`
  `raiseEventWorkflowAlpha1(DaprWorkflowProtos.RaiseEventWorkflowRequest request)`
  Deprecated.
  `com.google.protobuf.Empty`
  `raiseEventWorkflowBeta1(DaprWorkflowProtos.RaiseEventWorkflowRequest request)`
  Raise an event to a running workflow instance
  `com.google.protobuf.Empty`
  `registerActorReminder(DaprActorsProtos.RegisterActorReminderRequest request)`
  Register an actor reminder.
  `com.google.protobuf.Empty`
  `registerActorTimer(DaprActorsProtos.RegisterActorTimerRequest request)`
  Register an actor timer.
  `com.google.protobuf.Empty`
  `resumeWorkflowAlpha1(DaprWorkflowProtos.ResumeWorkflowRequest request)`
  Deprecated.
  `com.google.protobuf.Empty`
  `resumeWorkflowBeta1(DaprWorkflowProtos.ResumeWorkflowRequest request)`
  Resumes a paused workflow instance
  `com.google.protobuf.Empty`
  `saveState(DaprStateProtos.SaveStateRequest request)`
  Saves the state for a specific key.
  `DaprJobsProtos.ScheduleJobResponse`
  `scheduleJob(DaprJobsProtos.ScheduleJobRequest request)`
  Create and schedule a job
  `DaprJobsProtos.ScheduleJobResponse`
  `scheduleJobAlpha1(DaprJobsProtos.ScheduleJobRequest request)`
  Deprecated.
  `com.google.protobuf.Empty`
  `setMetadata(DaprMetadataProtos.SetMetadataRequest request)`
  Sets value in extended metadata of the sidecar
  `com.google.protobuf.Empty`
  `shutdown(DaprProtos.ShutdownRequest request)`
  Shutdown the sidecar
  `DaprWorkflowProtos.StartWorkflowResponse`
  `startWorkflowAlpha1(DaprWorkflowProtos.StartWorkflowRequest request)`
  Deprecated.
  `DaprWorkflowProtos.StartWorkflowResponse`
  `startWorkflowBeta1(DaprWorkflowProtos.StartWorkflowRequest request)`
  Starts a new instance of a workflow
  `Iterator<DaprConfigurationProtos.SubscribeConfigurationResponse>`
  `subscribeConfiguration(DaprConfigurationProtos.SubscribeConfigurationRequest request)`
  SubscribeConfiguration gets configuration from configuration store and subscribe the updates event by grpc stream
  `Iterator<DaprConfigurationProtos.SubscribeConfigurationResponse>`
  `subscribeConfigurationAlpha1(DaprConfigurationProtos.SubscribeConfigurationRequest request)`
  SubscribeConfiguration gets configuration from configuration store and subscribe the updates event by grpc stream
  `DaprCryptoProtos.SubtleDecryptResponse`
  `subtleDecryptAlpha1(DaprCryptoProtos.SubtleDecryptRequest request)`
  SubtleDecryptAlpha1 decrypts a small message using a key stored in the vault.
  `DaprCryptoProtos.SubtleEncryptResponse`
  `subtleEncryptAlpha1(DaprCryptoProtos.SubtleEncryptRequest request)`
  SubtleEncryptAlpha1 encrypts a small message using a key stored in the vault.
  `DaprCryptoProtos.SubtleGetKeyResponse`
  `subtleGetKeyAlpha1(DaprCryptoProtos.SubtleGetKeyRequest request)`
  SubtleGetKeyAlpha1 returns the public part of an asymmetric key stored in the vault.
  `DaprCryptoProtos.SubtleSignResponse`
  `subtleSignAlpha1(DaprCryptoProtos.SubtleSignRequest request)`
  SubtleSignAlpha1 signs a message using a key stored in the vault.
  `DaprCryptoProtos.SubtleUnwrapKeyResponse`
  `subtleUnwrapKeyAlpha1(DaprCryptoProtos.SubtleUnwrapKeyRequest request)`
  SubtleUnwrapKeyAlpha1 unwraps a key using a key stored in the vault.
  `DaprCryptoProtos.SubtleVerifyResponse`
  `subtleVerifyAlpha1(DaprCryptoProtos.SubtleVerifyRequest request)`
  SubtleVerifyAlpha1 verifies the signature of a message using a key stored in the vault.
  `DaprCryptoProtos.SubtleWrapKeyResponse`
  `subtleWrapKeyAlpha1(DaprCryptoProtos.SubtleWrapKeyRequest request)`
  SubtleWrapKeyAlpha1 wraps a key using a key stored in the vault.
  `com.google.protobuf.Empty`
  `terminateWorkflowAlpha1(DaprWorkflowProtos.TerminateWorkflowRequest request)`
  Deprecated.
  `com.google.protobuf.Empty`
  `terminateWorkflowBeta1(DaprWorkflowProtos.TerminateWorkflowRequest request)`
  Terminates a running workflow instance
  `DaprLockProtos.TryLockResponse`
  `tryLockAlpha1(DaprLockProtos.TryLockRequest request)`
  TryLockAlpha1 tries to get a lock with an expiry.
  `DaprLockProtos.UnlockResponse`
  `unlockAlpha1(DaprLockProtos.UnlockRequest request)`
  UnlockAlpha1 unlocks a lock.
  `com.google.protobuf.Empty`
  `unregisterActorReminder(DaprActorsProtos.UnregisterActorReminderRequest request)`
  Unregister an actor reminder.
  `DaprActorsProtos.UnregisterActorRemindersByTypeResponse`
  `unregisterActorRemindersByType(DaprActorsProtos.UnregisterActorRemindersByTypeRequest request)`
  `com.google.protobuf.Empty`
  `unregisterActorTimer(DaprActorsProtos.UnregisterActorTimerRequest request)`
  Unregister an actor timer.
  `DaprConfigurationProtos.UnsubscribeConfigurationResponse`
  `unsubscribeConfiguration(DaprConfigurationProtos.UnsubscribeConfigurationRequest request)`
  UnSubscribeConfiguration unsubscribe the subscription of configuration
  `DaprConfigurationProtos.UnsubscribeConfigurationResponse`
  `unsubscribeConfigurationAlpha1(DaprConfigurationProtos.UnsubscribeConfigurationRequest request)`
  UnSubscribeConfiguration unsubscribe the subscription of configuration

  ### Methods inherited from class io.grpc.stub.AbstractBlockingStub

  `newStub, newStub`

  ### Methods inherited from class io.grpc.stub.AbstractStub

  `getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOnReadyThreshold, withOption, withWaitForReady`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### build

    protected DaprGrpc.DaprBlockingStub build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)
    Specified by:
      `build` in class `io.grpc.stub.AbstractStub<DaprGrpc.DaprBlockingStub>`

  - ### invokeService

    public CommonProtos.InvokeResponse invokeService(DaprInvokeProtos.InvokeServiceRequest request)

         Invokes a method on a remote Dapr app.
         Deprecated: Use proxy mode service invocation instead.

  - ### getState

    public DaprStateProtos.GetStateResponse getState(DaprStateProtos.GetStateRequest request)

         Gets the state for a specific key.

  - ### getBulkState

    public DaprStateProtos.GetBulkStateResponse getBulkState(DaprStateProtos.GetBulkStateRequest request)

         Gets a bulk of state items for a list of keys

  - ### saveState

    public com.google.protobuf.Empty saveState(DaprStateProtos.SaveStateRequest request)

         Saves the state for a specific key.

  - ### queryStateAlpha1

    public DaprStateProtos.QueryStateResponse queryStateAlpha1(DaprStateProtos.QueryStateRequest request)

         Queries the state.

  - ### deleteState

    public com.google.protobuf.Empty deleteState(DaprStateProtos.DeleteStateRequest request)

         Deletes the state for a specific key.

  - ### deleteBulkState

    public com.google.protobuf.Empty deleteBulkState(DaprStateProtos.DeleteBulkStateRequest request)

         Deletes a bulk of state items for a list of keys

  - ### executeStateTransaction

    public com.google.protobuf.Empty executeStateTransaction(DaprStateProtos.ExecuteStateTransactionRequest request)

         Executes transactions for a specified store

  - ### publishEvent

    public com.google.protobuf.Empty publishEvent(DaprPubsubProtos.PublishEventRequest request)

         Publishes events to the specific topic.

  - ### bulkPublishEventAlpha1

    @Deprecated public DaprPubsubProtos.BulkPublishResponse bulkPublishEventAlpha1(DaprPubsubProtos.BulkPublishRequest request)
    Deprecated.

         Deprecated: Bulk Publishes multiple events to the specified topic.

  - ### bulkPublishEvent

    public DaprPubsubProtos.BulkPublishResponse bulkPublishEvent(DaprPubsubProtos.BulkPublishRequest request)

         Bulk Publishes multiple events to the specified topic.

  - ### invokeBinding

    public DaprBindingsProtos.InvokeBindingResponse invokeBinding(DaprBindingsProtos.InvokeBindingRequest request)

         Invokes binding data to specific output bindings

  - ### getSecret

    public DaprSecretProtos.GetSecretResponse getSecret(DaprSecretProtos.GetSecretRequest request)

         Gets secrets from secret stores.

  - ### getBulkSecret

    public DaprSecretProtos.GetBulkSecretResponse getBulkSecret(DaprSecretProtos.GetBulkSecretRequest request)

         Gets a bulk of secrets

  - ### registerActorTimer

    public com.google.protobuf.Empty registerActorTimer(DaprActorsProtos.RegisterActorTimerRequest request)

         Register an actor timer.

  - ### unregisterActorTimer

    public com.google.protobuf.Empty unregisterActorTimer(DaprActorsProtos.UnregisterActorTimerRequest request)

         Unregister an actor timer.

  - ### registerActorReminder

    public com.google.protobuf.Empty registerActorReminder(DaprActorsProtos.RegisterActorReminderRequest request)

         Register an actor reminder.

  - ### unregisterActorReminder

    public com.google.protobuf.Empty unregisterActorReminder(DaprActorsProtos.UnregisterActorReminderRequest request)

         Unregister an actor reminder.

  - ### unregisterActorRemindersByType

    public DaprActorsProtos.UnregisterActorRemindersByTypeResponse unregisterActorRemindersByType(DaprActorsProtos.UnregisterActorRemindersByTypeRequest request)

  - ### listActorReminders

    public DaprActorsProtos.ListActorRemindersResponse listActorReminders(DaprActorsProtos.ListActorRemindersRequest request)

  - ### getActorState

    public DaprActorsProtos.GetActorStateResponse getActorState(DaprActorsProtos.GetActorStateRequest request)

         Gets the state for a specific actor.

  - ### getActorReminder

    public DaprActorsProtos.GetActorReminderResponse getActorReminder(DaprActorsProtos.GetActorReminderRequest request)

         Gets an actor reminder.

  - ### executeActorStateTransaction

    public com.google.protobuf.Empty executeActorStateTransaction(DaprActorsProtos.ExecuteActorStateTransactionRequest request)

         Executes state transactions for a specified actor

  - ### invokeActor

    public DaprActorsProtos.InvokeActorResponse invokeActor(DaprActorsProtos.InvokeActorRequest request)

         InvokeActor calls a method on an actor.

  - ### getConfigurationAlpha1

    public DaprConfigurationProtos.GetConfigurationResponse getConfigurationAlpha1(DaprConfigurationProtos.GetConfigurationRequest request)

         GetConfiguration gets configuration from configuration store.

  - ### getConfiguration

    public DaprConfigurationProtos.GetConfigurationResponse getConfiguration(DaprConfigurationProtos.GetConfigurationRequest request)

         GetConfiguration gets configuration from configuration store.

  - ### subscribeConfigurationAlpha1

    public Iterator<DaprConfigurationProtos.SubscribeConfigurationResponse> subscribeConfigurationAlpha1(DaprConfigurationProtos.SubscribeConfigurationRequest request)

         SubscribeConfiguration gets configuration from configuration store and subscribe the updates event by grpc stream

  - ### subscribeConfiguration

    public Iterator<DaprConfigurationProtos.SubscribeConfigurationResponse> subscribeConfiguration(DaprConfigurationProtos.SubscribeConfigurationRequest request)

         SubscribeConfiguration gets configuration from configuration store and subscribe the updates event by grpc stream

  - ### unsubscribeConfigurationAlpha1

    public DaprConfigurationProtos.UnsubscribeConfigurationResponse unsubscribeConfigurationAlpha1(DaprConfigurationProtos.UnsubscribeConfigurationRequest request)

         UnSubscribeConfiguration unsubscribe the subscription of configuration

  - ### unsubscribeConfiguration

    public DaprConfigurationProtos.UnsubscribeConfigurationResponse unsubscribeConfiguration(DaprConfigurationProtos.UnsubscribeConfigurationRequest request)

         UnSubscribeConfiguration unsubscribe the subscription of configuration

  - ### tryLockAlpha1

    public DaprLockProtos.TryLockResponse tryLockAlpha1(DaprLockProtos.TryLockRequest request)

         TryLockAlpha1 tries to get a lock with an expiry.

  - ### unlockAlpha1

    public DaprLockProtos.UnlockResponse unlockAlpha1(DaprLockProtos.UnlockRequest request)

         UnlockAlpha1 unlocks a lock.

  - ### getMetadata

    public DaprMetadataProtos.GetMetadataResponse getMetadata(DaprMetadataProtos.GetMetadataRequest request)

         Gets metadata of the sidecar

  - ### setMetadata

    public com.google.protobuf.Empty setMetadata(DaprMetadataProtos.SetMetadataRequest request)

         Sets value in extended metadata of the sidecar

  - ### subtleGetKeyAlpha1

    public DaprCryptoProtos.SubtleGetKeyResponse subtleGetKeyAlpha1(DaprCryptoProtos.SubtleGetKeyRequest request)

         SubtleGetKeyAlpha1 returns the public part of an asymmetric key stored in the vault.

  - ### subtleEncryptAlpha1

    public DaprCryptoProtos.SubtleEncryptResponse subtleEncryptAlpha1(DaprCryptoProtos.SubtleEncryptRequest request)

         SubtleEncryptAlpha1 encrypts a small message using a key stored in the vault.

  - ### subtleDecryptAlpha1

    public DaprCryptoProtos.SubtleDecryptResponse subtleDecryptAlpha1(DaprCryptoProtos.SubtleDecryptRequest request)

         SubtleDecryptAlpha1 decrypts a small message using a key stored in the vault.

  - ### subtleWrapKeyAlpha1

    public DaprCryptoProtos.SubtleWrapKeyResponse subtleWrapKeyAlpha1(DaprCryptoProtos.SubtleWrapKeyRequest request)

         SubtleWrapKeyAlpha1 wraps a key using a key stored in the vault.

  - ### subtleUnwrapKeyAlpha1

    public DaprCryptoProtos.SubtleUnwrapKeyResponse subtleUnwrapKeyAlpha1(DaprCryptoProtos.SubtleUnwrapKeyRequest request)

         SubtleUnwrapKeyAlpha1 unwraps a key using a key stored in the vault.

  - ### subtleSignAlpha1

    public DaprCryptoProtos.SubtleSignResponse subtleSignAlpha1(DaprCryptoProtos.SubtleSignRequest request)

         SubtleSignAlpha1 signs a message using a key stored in the vault.

  - ### subtleVerifyAlpha1

    public DaprCryptoProtos.SubtleVerifyResponse subtleVerifyAlpha1(DaprCryptoProtos.SubtleVerifyRequest request)

         SubtleVerifyAlpha1 verifies the signature of a message using a key stored in the vault.

  - ### startWorkflowAlpha1

    @Deprecated public DaprWorkflowProtos.StartWorkflowResponse startWorkflowAlpha1(DaprWorkflowProtos.StartWorkflowRequest request)
    Deprecated.

         Starts a new instance of a workflow

  - ### getWorkflowAlpha1

    @Deprecated public DaprWorkflowProtos.GetWorkflowResponse getWorkflowAlpha1(DaprWorkflowProtos.GetWorkflowRequest request)
    Deprecated.

         Gets details about a started workflow instance

  - ### purgeWorkflowAlpha1

    @Deprecated public com.google.protobuf.Empty purgeWorkflowAlpha1(DaprWorkflowProtos.PurgeWorkflowRequest request)
    Deprecated.

         Purge Workflow

  - ### terminateWorkflowAlpha1

    @Deprecated public com.google.protobuf.Empty terminateWorkflowAlpha1(DaprWorkflowProtos.TerminateWorkflowRequest request)
    Deprecated.

         Terminates a running workflow instance

  - ### pauseWorkflowAlpha1

    @Deprecated public com.google.protobuf.Empty pauseWorkflowAlpha1(DaprWorkflowProtos.PauseWorkflowRequest request)
    Deprecated.

         Pauses a running workflow instance

  - ### resumeWorkflowAlpha1

    @Deprecated public com.google.protobuf.Empty resumeWorkflowAlpha1(DaprWorkflowProtos.ResumeWorkflowRequest request)
    Deprecated.

         Resumes a paused workflow instance

  - ### raiseEventWorkflowAlpha1

    @Deprecated public com.google.protobuf.Empty raiseEventWorkflowAlpha1(DaprWorkflowProtos.RaiseEventWorkflowRequest request)
    Deprecated.

         Raise an event to a running workflow instance

  - ### startWorkflowBeta1

    public DaprWorkflowProtos.StartWorkflowResponse startWorkflowBeta1(DaprWorkflowProtos.StartWorkflowRequest request)

         Starts a new instance of a workflow

  - ### getWorkflowBeta1

    public DaprWorkflowProtos.GetWorkflowResponse getWorkflowBeta1(DaprWorkflowProtos.GetWorkflowRequest request)

         Gets details about a started workflow instance

  - ### purgeWorkflowBeta1

    public com.google.protobuf.Empty purgeWorkflowBeta1(DaprWorkflowProtos.PurgeWorkflowRequest request)

         Purge Workflow

  - ### terminateWorkflowBeta1

    public com.google.protobuf.Empty terminateWorkflowBeta1(DaprWorkflowProtos.TerminateWorkflowRequest request)

         Terminates a running workflow instance

  - ### pauseWorkflowBeta1

    public com.google.protobuf.Empty pauseWorkflowBeta1(DaprWorkflowProtos.PauseWorkflowRequest request)

         Pauses a running workflow instance

  - ### resumeWorkflowBeta1

    public com.google.protobuf.Empty resumeWorkflowBeta1(DaprWorkflowProtos.ResumeWorkflowRequest request)

         Resumes a paused workflow instance

  - ### raiseEventWorkflowBeta1

    public com.google.protobuf.Empty raiseEventWorkflowBeta1(DaprWorkflowProtos.RaiseEventWorkflowRequest request)

         Raise an event to a running workflow instance

  - ### shutdown

    public com.google.protobuf.Empty shutdown(DaprProtos.ShutdownRequest request)

         Shutdown the sidecar

  - ### scheduleJobAlpha1

    @Deprecated public DaprJobsProtos.ScheduleJobResponse scheduleJobAlpha1(DaprJobsProtos.ScheduleJobRequest request)
    Deprecated.

         Deprecated: Create and schedule a job

  - ### scheduleJob

    public DaprJobsProtos.ScheduleJobResponse scheduleJob(DaprJobsProtos.ScheduleJobRequest request)

         Create and schedule a job

  - ### getJobAlpha1

    @Deprecated public DaprJobsProtos.GetJobResponse getJobAlpha1(DaprJobsProtos.GetJobRequest request)
    Deprecated.

         Deprecated: Gets a scheduled job

  - ### getJob

    public DaprJobsProtos.GetJobResponse getJob(DaprJobsProtos.GetJobRequest request)

         Gets a scheduled job

  - ### deleteJobAlpha1

    @Deprecated public DaprJobsProtos.DeleteJobResponse deleteJobAlpha1(DaprJobsProtos.DeleteJobRequest request)
    Deprecated.

         Deprecated: Delete a job

  - ### deleteJob

    public DaprJobsProtos.DeleteJobResponse deleteJob(DaprJobsProtos.DeleteJobRequest request)

         Delete a job

  - ### deleteJobsByPrefixAlpha1

    @Deprecated public DaprJobsProtos.DeleteJobsByPrefixResponseAlpha1 deleteJobsByPrefixAlpha1(DaprJobsProtos.DeleteJobsByPrefixRequestAlpha1 request)
    Deprecated.

         Deprecated: Delete jobs by name prefix

  - ### deleteJobsByPrefix

    public DaprJobsProtos.DeleteJobsByPrefixResponse deleteJobsByPrefix(DaprJobsProtos.DeleteJobsByPrefixRequest request)

         Delete jobs by name prefix

  - ### listJobsAlpha1

    @Deprecated public DaprJobsProtos.ListJobsResponseAlpha1 listJobsAlpha1(DaprJobsProtos.ListJobsRequestAlpha1 request)
    Deprecated.

         Deprecated: List all jobs

  - ### listJobs

    public DaprJobsProtos.ListJobsResponse listJobs(DaprJobsProtos.ListJobsRequest request)

         List all jobs

  - ### converseAlpha1

    public DaprAiProtos.ConversationResponse converseAlpha1(DaprAiProtos.ConversationRequest request)

         Converse with a LLM service

  - ### converseAlpha2

    public DaprAiProtos.ConversationResponseAlpha2 converseAlpha2(DaprAiProtos.ConversationRequestAlpha2 request)

         Converse with a LLM service via alpha2 api